Skip to content

Update QM object​

PUT
/qm/rest/v1/qm/update-qm/{lotnumber}/{qm_type}

Updates existing QM object by lot number and QM type

Authorizations​

bearerAuth
TypeHTTP (bearer)

Parameters​

Path Parameters

lotnumber*

Lot number

Typestring
Required
Example"LOT123"
qm_type*

QM type (1 or 2)

Typeinteger
Required
Valid values
12
Example1

Request Body​

application/json
JSON
{
"lotnumber": "LOT123",
"qm_type": 1
}

Responses​

QM object updated

application/json
JSON
{
"id": 0,
"lotnumber": "string",
"qm_type": 0,
"status": "string",
"createdAt": "string"
}

Playground​

Server
Authorization
Variables
Key
Value
Body

Samples​

Powered by VitePress OpenAPI

ITeas iScan Applikation Dokumentation

Version: dev-develop Version: dev-develop
Commit: 242a1f0d
Deployed at: 2026-09-22T13:57:56Z